From ee5f3f2f195b01fd89ee148da5799b02f99ebb6e Mon Sep 17 00:00:00 2001
From: Peter Hutterer <peter.hutterer@who-t.net>
Date: Sun, 14 Nov 2021 19:44:30 +1000
Subject: [PATCH 3/3] lib: don't read hidden files from the config directory

Fixes #104
---
 lib/wp/wp.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/lib/wp/wp.c b/lib/wp/wp.c
index ffdff1a..c356133 100644
--- a/lib/wp/wp.c
+++ b/lib/wp/wp.c
@@ -315,6 +315,9 @@ wp_new_files_iterator (WpLookupDirs dirs, const gchar *subdir,
     if (dir) {
       const gchar *filename;
       while ((filename = g_dir_read_name (dir))) {
+        if (filename[0] == '.')
+          continue;
+
         if (suffix && !g_str_has_suffix (filename, suffix))
           continue;
 
-- 
2.34.0

